OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.BlendEquationSeparate

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBlendEquationSeparate :: MonadIO m => m Bool
- gl_EXT_blend_equation_separate :: Bool
- gl_BLEND_EQUATION_ALPHA_EXT :: GLenum
- gl_BLEND_EQUATION_RGB_EXT :: GLenum
- glBlendEquationSeparateEXT :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetEXTBlendEquationSeparate :: MonadIO m => m Bool

Is the EXT_blend_equation_separate extension supported?

gl_EXT_blend_equation_separate :: Bool

Is the EXT_blend_equation_separate extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBlendEquationSeparate` in those cases instead.

# Enums

gl_BLEND_EQUATION_ALPHA_EXT :: GLenum

gl_BLEND_EQUATION_RGB_EXT :: GLenum

# Functions

glBlendEquationSeparateEXT

Arguments

:: MonadIO m |
=> GLenum | `modeRGB` of type BlendEquationModeEXT.
-> GLenum | `modeAlpha` of type BlendEquationModeEXT.
-> m () |

This command is an alias for `glBlendEquationSeparate`.